<div class="grid grid-cols-12 min-h-screen">
  {{template "partials/sidebar" (dict "active" "search" "routeSuffix" .routeSuffix "role" .role)}}

  <div class="col-span-7 sm:col-span-8 lg:col-span-9 p-6 bg-slate-50">
    {{template "partials/headnav" .}}

    <h1 class="text-2xl font-medium mb-3">Persoon aanpassen</h1>

    <p class="mb-7"><a class="inline-flex items-center text-sm text-sky-600 hover:text-sky-700 hover:underline" href="/vreemdelingen/{{.vreemdelingNummer}}{{.routeSuffix}}"><svg class="w-4 h-4 mr-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 12h14M5 12l6 6m-6-6l6-6"/></svg> Terug naar de persoon</a></p>


    <form class="grid grid-cols-12" action="/vreemdelingen/{{.vreemdelingNummer}}{{.routeSuffix}}" method="post">
      {{if and configOrganization.BVVWriteAccess .role.Permissions.BVVWriteAccess}}
      <h4 class="col-span-12 text-gray-500 text-sm uppercase mb-3">Gegevens in de BVV</h4>
      {{template "partials/vreemdeling-edit-bvv" .bvvData}}
      {{end}}

      <h4 class="col-span-12 text-gray-500 text-sm uppercase mb-3">Gegevens in Sigma</h4>
      {{$accessibleAttributes := .role.WritableRubriekAttributes}}
      {{$i := 0}}
      {{range .rubrieken}}
      {{$rubriekLabelToAdd := .Label}}
      {{range .Attributes}}
      {{if stringIn $accessibleAttributes .Name}}

      {{with $rubriekLabelToAdd}}
      <h5 class="col-span-12 border-t border-slate-300 mt-5 first-of-type:mt-3 mb-2.5 text-center"><span class="relative -top-3.5 bg-slate-300 text-slate-800 px-2 py-1 rounded text-sm">{{.}}</span></h5>
      {{$rubriekLabelToAdd = ""}}
      {{end}}

      {{template "partials/attribute-edit" (dict "attribute" . "data" (index $.sigmaData .Name) "index" $i "autofocus" (and (not (and configOrganization.BVVWriteAccess $.role.Permissions.BVVWriteAccess)) (eq $i 0)))}}
      {{$i = add $i 1}}
      {{end}}
      {{end}}
      {{end}}

      <p class="col-span-12">
        <button
          class="inline-block text-white bg-sky-500 border border-sky-600 hover:bg-sky-600 hover:border-sky-700 focus:ring-4 focus:outline-none focus:ring-sky-200 font-medium rounded-lg text-sm px-5 py-2.5 shadow-sm"
          type="submit">
          Wijzigingen opslaan
        </button>
      </p>
    </form>

  </div>
</div>
